.PHONY:	all install clean man distclean

PROG=	ircfossil
PREFIX=	M4PREFIX

OBJS=	M4OBJS

MAN=	M4MAN

${PROG}: ${OBJS}
	cc -o ${PROG} ${OBJS} M4LDFLAGS -lcurl

include(.deps)dnl

install: ${PROG}
	install -Dm 0555 ${PROG} ${DESTDIR}${PREFIX}/bin/${PROG}
	install -Dm 0444 ${MAN} ${DESTDIR}${PREFIX}/share/man/man1/${PROG}.1

man: ${PROG}.1
	mandoc -Tman ./${PROG}.1 >man/${PROG}.1

distclean: clean
	-(cd libapi && make distclean)
	rm -f Makefile .deps

clean:
	-(cd libapi && make clean)
	rm -f ${PROG} *.o
