# Versions changelog

## <a id="1_1_0"></a>Version 1.1.0

* IRCTk now creates a tab for private messages sent from other clients
  connected as the same user.
* Made the configure script POSIX compliant.
* Fix a bug where IRCTk could block forever during startup if an extension
  does not complete the handshake after the initial ack.
* [Extensions](/doc/trunk/www/wiki/extensions.md) can now advertise supported
  IRCv3 capabilities during the handshake. Existing extensions continue to
  work as usual.
* Add themes support. It's possible to load additional themes in IRCTk
  from the "Edit -> "Themes" menu.
* Fix an issue with treeviews row height when changing the font
  size. Now the rows scales properly.
* Add the ability to enable or disable chats logging from the
  "Edit" -> "Log chats" toggle.
* Add the [ircfossil](/dir?ci=tip&name=transports/fossil)
  transport. It can be used to connect IRCTk to a fossil repository chat.
* Save the server features advertised through RPL_ISUPPORT. IRCTk
  does not use any feature for now.
* IRCTk now will ask for the server's capabilities and save those. For
  now, only server-time is used.
* Fixed a bug where /NAMES were not parsed properly, causing the
  list of users in a channel to not be complete.
* Remove the dependency from TCLLib.
* Added a user field to the connection form. If empty,
  uses the USER environment variable by default.
* Remove Tcllib as a dependency.
* ./configure let you choose the tclsh shell to use through the -t flag.
* Provided a new TCL [module](/doc/trunk/www/wiki/tclmodule.md)
  that users can leverage to write extensions.
* Fix bug with the users list in a channel. NAMES wasn't handled properly.
* Various minor bugfixes.

## <a id="1_0_0"></a>Version 1.0.0

  *  First public version
