# Home

## What is IRCTk

IRCTk is a graphical user interface for the IRC protocol. It supports the
client protocol as specified in RFC1459 and a subset of IRCv3.

It is designed to be modular and extensible, with the following features:

* Customizable transports, implemented as separate processes.
* A clean and nice GUI.
* A powerful extensions subsystem.

### Latest release: 1.1.0 (Released [2024-10-01](/timeline?c=1.1.0))

* [Source tarball](/tarball/1.1.0/irctk-1.1.0.tar.gz)
* [Changelog](/doc/trunk/www/wiki/changelog.md#1_1_0)

### Dependencies

* Tcl 8.6
* Tk 8.6
